Bug 73744 - [GTK] Bad text rendering since r101343
Summary: [GTK] Bad text rendering since r101343
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 76520
  Show dependency treegraph
 
Reported: 2011-12-03 08:57 PST by Philippe Normand
Modified: 2019-05-17 15:13 PDT (History)
9 users (show)

See Also:


Attachments
proposed patch (3.82 KB, patch)
2011-12-03 09:04 PST, Philippe Normand
mrobinson: review-
Details | Formatted Diff | Diff
proposed patch (5.00 KB, patch)
2011-12-03 09:20 PST, Philippe Normand
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-12-03 08:57:18 PST
Disabling CAIRO_HINT_METRICS is good for the tests only it seems. Cairo-based ports should do this in their DRT only.
Comment 1 Philippe Normand 2011-12-03 09:00:56 PST
Can the EFL folks please have a look at this issue as well? I'm about to upload a patch for GTK.
Comment 2 Philippe Normand 2011-12-03 09:04:15 PST
Created attachment 117760 [details]
proposed patch
Comment 3 Martin Robinson 2011-12-03 09:07:03 PST
Comment on attachment 117760 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=117760&action=review

Looks good to me, but you'll also need to make this change in WebKit2.

> Tools/DumpRenderTree/gtk/DumpRenderTree.cpp:159
> +    if (GdkScreen* screen = gdk_screen_get_default()) {

You should probably ASSERT screen and screenOptions here instead of using an if.
Comment 4 Philippe Normand 2011-12-03 09:20:12 PST
Created attachment 117762 [details]
proposed patch
Comment 5 WebKit Review Bot 2011-12-03 11:55:31 PST
Comment on attachment 117762 [details]
proposed patch

Attachment 117762 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10727476

New failing tests:
svg/custom/linking-uri-01-b.svg
Comment 6 Gyuyoung Kim 2011-12-12 03:55:16 PST
(In reply to comment #1)
> Can the EFL folks please have a look at this issue as well? I'm about to upload a patch for GTK.

CC'ing kubo, 

Hello kubo, it looks we may have similar problem. Does EFL DRT also need to adjust similar patch?
Comment 7 Philippe Normand 2011-12-14 00:36:58 PST
Comment on attachment 117762 [details]
proposed patch

Landed http://trac.webkit.org/changeset/102748
Comment 8 azeikui6ziwjypjgu5w2tixgcxdaapxx 2019-05-17 14:31:05 PDT
Patch landed, this can be closed?
Comment 9 Michael Catanzaro 2019-05-17 15:13:13 PDT
Yes.